#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# BaseTexture Class

Extends EventTarget
Defined in: `src/pixi/textures/BaseTexture.js:8`
Module: PIXI

A texture stores the information that represents an image. All textures have a base texture

## Constructor

### `BaseTexture`

(

- `source`

)

Defined in `src/pixi/textures/BaseTexture.js:8`

#### Parameters:

- `source` String

  the source object (image or canvas)

- Index
- Properties

## Item Index

### Properties

- height
- source
- width

## Properties

### `height`

Number

Defined in `src/pixi/textures/BaseTexture.js:32`

[read only] The height of the base texture set when the image has loaded

### `source`

Image

Defined in `src/pixi/textures/BaseTexture.js:39`

The source that is loaded to create the texture

### `width`

Number

Defined in `src/pixi/textures/BaseTexture.js:26`

[read only] The width of the base texture set when the image has loaded